<?php

namespace App\Http\Controllers;

use App\Models\Category;
use App\Models\Link;
use Illuminate\Foundation\Auth\Access\AuthorizesRequests;
use Illuminate\Foundation\Bus\DispatchesJobs;
use Illuminate\Foundation\Validation\ValidatesRequests;
use Illuminate\Routing\Controller as BaseController;
use Illuminate\Support\Facades\View;

class Controller extends BaseController
{

    use AuthorizesRequests, DispatchesJobs, ValidatesRequests;

    public function __construct()
    {
        //顶部分类
        $categorys = Category::where('status', 1)
            ->whereIn('type', [Category::TYPE_ARTICLE, Category::TYPE_LINK])
            ->where('top_show', 1)
            ->orderBy('order', 'asc')
            ->select('id', 'title')
            ->get();

        $links = Link::get();
        $gLxwmCate = Category::find(10);
        View::share('all_categorys', $categorys);
        View::share('links', $links);
        View::share('gLxwmCate', $gLxwmCate);
    }

}
